Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update Jitsi-based dependencies to latest release. #37

Closed
guusdk opened this issue Nov 3, 2017 · 4 comments

Comments

@guusdk
Copy link
Member

commented Nov 3, 2017

No description provided.

guusdk added a commit that referenced this issue Nov 4, 2017
@guusdk

This comment has been minimized.

Copy link
Member Author

commented Nov 4, 2017

Updated:

  • Jitsi Jicofo from 1.0-20170809.150330-7 to 1.1-20171102.164223-6.
  • Jitsi Meet from 1.0.2207 to 1.0.2419.
  • Jitsi's Openfire plugin for Videobridge to version 2.2-20171103.213218-1 (which depends on Videobridge version 1.1-20171031.202356-10).

As a result, OFMeet now requires Java 8 to run. Note that Openfire does not (see igniterealtime/Openfire#915)

Jitsi's upstream changes include a switch from Smack 3 to Smack 4. This can bring changes to runtime behavior.

I dropped the email listener (which provided FastPath support), as it's implementation was based on Smack 3.

@deleolajide

This comment has been minimized.

Copy link
Member

commented Nov 8, 2017

I dropped the email listener (which provided FastPath support), as it's implementation was based on Smack 3.

I have upgraded it from smack 3 to smack 4 and added it to the chatapi plugin instead.

guusdk added a commit that referenced this issue Jan 31, 2018
guusdk added a commit that referenced this issue Jan 31, 2018
@guusdk

This comment has been minimized.

Copy link
Member Author

commented Jan 31, 2018

As none of these changes got released yet (they'll be in 0.9.3), I'll add the latest round of updates here:

  • Jitsi Jicofo from 1.1-20171102.164223-6 to 1.1-20180103.054218-14.
  • Jitsi Meet from 1.0.2419 to 1.0.2570.
  • Jitsi's Openfire plugin for Videobridge to version 2.3-20180131.155320-1 (which depends on Videobridge version 1.1-20180130.233151-31).
jeremydrake-eAc added a commit to jeremydrake-eAc/ofmeet-openfire-plugin that referenced this issue Feb 15, 2018
Revert "igniterealtime#37: Exposing UI config options that are availa…
…ble in the latest version of Meet."

This reverts commit 96697f3.
jeremydrake-eAc added a commit to jeremydrake-eAc/ofmeet-openfire-plugin that referenced this issue Feb 15, 2018
Revert "igniterealtime#37: Updated Jitsi's Openfire plugin for Videob…
…ridge to version 2.3-20180131.155320-1."

This reverts commit 37488fb.

Conflicts:
	ofmeet/changelog.html
jeremydrake-eAc added a commit to jeremydrake-eAc/ofmeet-openfire-plugin that referenced this issue Feb 15, 2018
Revert "'igniterealtime#37: Updated Jitsi Meet from 1.0.2419 to 1.0.2…
…570."

This reverts commit 33cbaea.

Conflicts:
	ofmeet/changelog.html
jeremydrake-eAc added a commit to jeremydrake-eAc/ofmeet-openfire-plugin that referenced this issue Feb 15, 2018
Revert "igniterealtime#37: Updated Jitsi Jicofo from 1.1-20171102.164…
…223-6 to 1.1-20180103.054218-14."

This reverts commit 4b8a5a6.

Conflicts:
	offocus/changelog.html
jeremydrake-eAc added a commit to jeremydrake-eAc/ofmeet-openfire-plugin that referenced this issue Feb 15, 2018
Revert "igniterealtime#37: Update Jitsi dependencies, requires Java 8"
This reverts commit 2703d8c.

Conflicts:
	config/src/main/java/org/igniterealtime/openfire/plugin/ofmeet/config/OFMeetConfig.java
	offocus/changelog.html
	ofmeet/changelog.html
	ofmeet/src/java/org/jivesoftware/openfire/plugin/ofmeet/OfMeetPlugin.java
	ofmeet/src/web/ofmeet-conference.jsp
	ofmeet/src/web/ofmeet-endpoint.jsp
	ofmeet/src/web/ofmeet-expire.jsp
@guusdk

This comment has been minimized.

Copy link
Member Author

commented Mar 5, 2018

I've now updated Jicofo to 1.1-20180303.151352-15 to pull in a fix for #38.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.